import axios from '../service/http.service';
import { sapi } from '../config';
import qs from 'qs';
// 更改约面信息
export function changeinterviewMassage(parmars) {
  return axios.post(`${sapi}/api/resumeInterview/update`, parmars, {
    headers: {
      'Content-Type': 'application/json;',
    },
  });
}
// 重启面试
export function oppenInterview(tid, tstatus) {
  console.log(tid, tstatus);
  return axios.post(`${sapi}/api/resumeFlow/reset/${tid}/${tstatus}`, {
    headers: {
      'Content-Type': 'application/json;',
    },
  });
}
// 终止面试
export function SInterview(tid) {
  return axios.post(`${sapi}/api/resumeFlow/end/${tid}`, {
    headers: {
      'Content-Type': 'application/json;',
    },
  });
}
// 面试管理查询
export function SerchList(parmars, status) {
  return axios.post(`${sapi}/api/interview/findListByQueryVO`, parmars, {
    headers: {
      'Content-Type': 'application/json;',
      'X-Requested-With': 'XMLHttpRequest',
      status,
    },
  });
}
// 查看简历详情页
export function seedetail(parmars) {
  return axios.get(`${sapi}/api/html/get/${parmars.uid}`, {
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
// 面试官查询
export function Serchinterviewor() {
  return axios.get(`${sapi}/api/interview/findInterviewerList`);
}
// 邀约人查询
export function SerchInvitationOwer() {
  return axios.post(`${sapi}/api/interview/findInviterList`, {
    headers: {
      'Content-Type': 'application/json;',
    },
  });
}
// 新增约面信息
export function NewAddInterview(parmars) {
  return axios.post(`${sapi}/api/resumeInterview/add`, parmars, {
    headers: {
      'Content-Type': 'application/json;',
    },
  });
}
// 查询记录
export function recodeLIST(parmars) {
  return axios.post(`${sapi}/api/resumeFlow/history/${parmars.resumeId}`, {
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
// 变更状态
export function changestatus(tid, tstatus) {
  return axios.post(`${sapi}/api/resumeFlow/uploadStatus/${tid}/${tstatus}`, {
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
// 获取终止面试前的前一个状态
export function formstatus(parmars) {
  return axios.post(`${sapi}/api/resumeFlow/getPreReset/${parmars.resumeId}`, {
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
